Package org.silverpeas.components.kmelia.portlets

## Class LastPublicationsPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.silverpeas.components.kmelia.portlets.LastPublicationsPortlet

- All Implemented Interfaces:
    `javax.portlet.EventPortlet`, `javax.portlet.Portlet`, `javax.portlet.PortletConfig`, `javax.portlet.ResourceServingPortlet`, `org.silverpeas.core.web.portlets.FormNames`

      public class LastPublicationsPortlet
      extends javax.portlet.GenericPortlet
      implements org.silverpeas.core.web.portlets.FormNames

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.core.web.portlets.FormNames

      `ERROR_BAD_VALUE, SUBMIT_CANCEL, SUBMIT_FINISHED, TEXTBOX_MAX_AGE, TEXTBOX_NB_ITEMS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LastPublicationsPortlet()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doEdit​(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` |
    `void` | `doHelp​(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` | Include "help" JSP.
    `void` | `doView​(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` |
    `static String` | `getRSSUrl​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionController, String spaceId)` |
    `void` | `processAction​(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)` |

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doHeaders, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, init, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LastPublicationsPortlet

          public LastPublicationsPortlet()

  - ### Method Detail

    - #### doView

          public void doView​(javax.portlet.RenderRequest request,
                             javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### doEdit

          public void doEdit​(javax.portlet.RenderRequest request,
                             javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException

      Overrides:
        `doEdit` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`

    - #### doHelp

          public void doHelp​(javax.portlet.RenderRequest request,
                             javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException

      Include "help" JSP.
      Overrides:
        `doHelp` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`

    - #### processAction

          public void processAction​(javax.portlet.ActionRequest request,
                                    javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`

    - #### getRSSUrl

          public static String getRSSUrl​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionController,
                                         String spaceId)